function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _createSuper(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct(); return function () { var Super = _getPrototypeOf(Derived), result; if (hasNativeReflectConstruct) { var NewTarget = _getPrototypeOf(this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return _possibleConstructorReturn(this, result); }; }

function _possibleConstructorReturn(self, call) { if (call && (typeof call === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _isNativeReflectConstruct() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Date.prototype.toString.call(Reflect.construct(Date, [], function () {})); return true; } catch (e) { return false; } }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _createForOfIteratorHelper(o) { if (typeof Symbol === "undefined" || o[Symbol.iterator] == null) { if (Array.isArray(o) || (o = _unsupportedIterableToArray(o))) { var i = 0; var F = function F() {}; return { s: F, n: function n() { if (i >= o.length) return { done: true }; return { done: false, value: o[i++] }; }, e: function e(_e) { throw _e; }, f: F }; } throw new TypeError("Invalid attempt to iterate non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); } var it, normalCompletion = true, didErr = false, err; return { s: function s() { it = o[Symbol.iterator](); }, n: function n() { var step = it.next(); normalCompletion = step.done; return step; }, e: function e(_e2) { didErr = true; err = _e2; }, f: function f() { try { if (!normalCompletion && it["return"] != null) it["return"](); } finally { if (didErr) throw err; } } }; }

function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }

function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function asyncGeneratorStep(gen, resolve, reject, _next, _throw, key, arg) { try { var info = gen[key](arg); var value = info.value; } catch (error) { reject(error); return; } if (info.done) { resolve(value); } else { Promise.resolve(value).then(_next, _throw); } }

function _asyncToGenerator(fn) { return function () { var self = this, args = arguments; return new Promise(function (resolve, reject) { var gen = fn.apply(self, args); function _next(value) { asyncGeneratorStep(gen, resolve, reject, _next, _throw, "next", value); } function _throw(err) { asyncGeneratorStep(gen, resolve, reject, _next, _throw, "throw", err); } _next(undefined); }); }; }

(window["webpackJsonp"] = window["webpackJsonp"] || []).push([["common"], {
  /***/
  "./node_modules/@ionic/core/dist/esm/framework-delegate-d1eb6504.js":
  /*!**************************************************************************!*\
    !*** ./node_modules/@ionic/core/dist/esm/framework-delegate-d1eb6504.js ***!
    \**************************************************************************/

  /*! exports provided: a, d */

  /***/
  function node_modulesIonicCoreDistEsmFrameworkDelegateD1eb6504Js(module, __webpack_exports__, __webpack_require__) {
    "use strict";

    __webpack_require__.r(__webpack_exports__);
    /* harmony export (binding) */


    __webpack_require__.d(__webpack_exports__, "a", function () {
      return attachComponent;
    });
    /* harmony export (binding) */


    __webpack_require__.d(__webpack_exports__, "d", function () {
      return detachComponent;
    });

    var attachComponent = /*#__PURE__*/function () {
      var _ref = _asyncToGenerator( /*#__PURE__*/regeneratorRuntime.mark(function _callee(delegate, container, component, cssClasses, componentProps) {
        var el;
        return regeneratorRuntime.wrap(function _callee$(_context) {
          while (1) {
            switch (_context.prev = _context.next) {
              case 0:
                if (!delegate) {
                  _context.next = 2;
                  break;
                }

                return _context.abrupt("return", delegate.attachViewToDom(container, component, componentProps, cssClasses));

              case 2:
                if (!(typeof component !== 'string' && !(component instanceof HTMLElement))) {
                  _context.next = 4;
                  break;
                }

                throw new Error('framework delegate is missing');

              case 4:
                el = typeof component === 'string' ? container.ownerDocument && container.ownerDocument.createElement(component) : component;

                if (cssClasses) {
                  cssClasses.forEach(function (c) {
                    return el.classList.add(c);
                  });
                }

                if (componentProps) {
                  Object.assign(el, componentProps);
                }

                container.appendChild(el);

                if (!el.componentOnReady) {
                  _context.next = 11;
                  break;
                }

                _context.next = 11;
                return el.componentOnReady();

              case 11:
                return _context.abrupt("return", el);

              case 12:
              case "end":
                return _context.stop();
            }
          }
        }, _callee);
      }));

      return function attachComponent(_x, _x2, _x3, _x4, _x5) {
        return _ref.apply(this, arguments);
      };
    }();

    var detachComponent = function detachComponent(delegate, element) {
      if (element) {
        if (delegate) {
          var container = element.parentElement;
          return delegate.removeViewFromDom(container, element);
        }

        element.remove();
      }

      return Promise.resolve();
    };
    /***/

  },

  /***/
  "./node_modules/@ionic/core/dist/esm/haptic-da73c8fd.js":
  /*!**************************************************************!*\
    !*** ./node_modules/@ionic/core/dist/esm/haptic-da73c8fd.js ***!
    \**************************************************************/

  /*! exports provided: a, b, c, d, h */

  /***/
  function node_modulesIonicCoreDistEsmHapticDa73c8fdJs(module, __webpack_exports__, __webpack_require__) {
    "use strict";

    __webpack_require__.r(__webpack_exports__);
    /* harmony export (binding) */


    __webpack_require__.d(__webpack_exports__, "a", function () {
      return hapticImpact;
    });
    /* harmony export (binding) */


    __webpack_require__.d(__webpack_exports__, "b", function () {
      return hapticSelectionStart;
    });
    /* harmony export (binding) */


    __webpack_require__.d(__webpack_exports__, "c", function () {
      return hapticSelectionChanged;
    });
    /* harmony export (binding) */


    __webpack_require__.d(__webpack_exports__, "d", function () {
      return hapticSelectionEnd;
    });
    /* harmony export (binding) */


    __webpack_require__.d(__webpack_exports__, "h", function () {
      return hapticSelection;
    });

    var HapticEngine = {
      getEngine: function getEngine() {
        var win = window;
        return win.TapticEngine || win.Capacitor && win.Capacitor.isPluginAvailable('Haptics') && win.Capacitor.Plugins.Haptics;
      },
      available: function available() {
        return !!this.getEngine();
      },
      isCordova: function isCordova() {
        return !!window.TapticEngine;
      },
      isCapacitor: function isCapacitor() {
        var win = window;
        return !!win.Capacitor;
      },
      impact: function impact(options) {
        var engine = this.getEngine();

        if (!engine) {
          return;
        }

        var style = this.isCapacitor() ? options.style.toUpperCase() : options.style;
        engine.impact({
          style: style
        });
      },
      notification: function notification(options) {
        var engine = this.getEngine();

        if (!engine) {
          return;
        }

        var style = this.isCapacitor() ? options.style.toUpperCase() : options.style;
        engine.notification({
          style: style
        });
      },
      selection: function selection() {
        this.impact({
          style: 'light'
        });
      },
      selectionStart: function selectionStart() {
        var engine = this.getEngine();

        if (!engine) {
          return;
        }

        if (this.isCapacitor()) {
          engine.selectionStart();
        } else {
          engine.gestureSelectionStart();
        }
      },
      selectionChanged: function selectionChanged() {
        var engine = this.getEngine();

        if (!engine) {
          return;
        }

        if (this.isCapacitor()) {
          engine.selectionChanged();
        } else {
          engine.gestureSelectionChanged();
        }
      },
      selectionEnd: function selectionEnd() {
        var engine = this.getEngine();

        if (!engine) {
          return;
        }

        if (this.isCapacitor()) {
          engine.selectionChanged();
        } else {
          engine.gestureSelectionChanged();
        }
      }
    };
    /**
     * Trigger a selection changed haptic event. Good for one-time events
     * (not for gestures)
     */

    var hapticSelection = function hapticSelection() {
      HapticEngine.selection();
    };
    /**
     * Tell the haptic engine that a gesture for a selection change is starting.
     */


    var hapticSelectionStart = function hapticSelectionStart() {
      HapticEngine.selectionStart();
    };
    /**
     * Tell the haptic engine that a selection changed during a gesture.
     */


    var hapticSelectionChanged = function hapticSelectionChanged() {
      HapticEngine.selectionChanged();
    };
    /**
     * Tell the haptic engine we are done with a gesture. This needs to be
     * called lest resources are not properly recycled.
     */


    var hapticSelectionEnd = function hapticSelectionEnd() {
      HapticEngine.selectionEnd();
    };
    /**
     * Use this to indicate success/failure/warning to the user.
     * options should be of the type `{ style: 'light' }` (or `medium`/`heavy`)
     */


    var hapticImpact = function hapticImpact(options) {
      HapticEngine.impact(options);
    };
    /***/

  },

  /***/
  "./node_modules/@ionic/core/dist/esm/spinner-configs-c78e170e.js":
  /*!***********************************************************************!*\
    !*** ./node_modules/@ionic/core/dist/esm/spinner-configs-c78e170e.js ***!
    \***********************************************************************/

  /*! exports provided: S */

  /***/
  function node_modulesIonicCoreDistEsmSpinnerConfigsC78e170eJs(module, __webpack_exports__, __webpack_require__) {
    "use strict";

    __webpack_require__.r(__webpack_exports__);
    /* harmony export (binding) */


    __webpack_require__.d(__webpack_exports__, "S", function () {
      return SPINNERS;
    });

    var spinners = {
      'bubbles': {
        dur: 1000,
        circles: 9,
        fn: function fn(dur, index, total) {
          var animationDelay = "".concat(dur * index / total - dur, "ms");
          var angle = 2 * Math.PI * index / total;
          return {
            r: 5,
            style: {
              'top': "".concat(9 * Math.sin(angle), "px"),
              'left': "".concat(9 * Math.cos(angle), "px"),
              'animation-delay': animationDelay
            }
          };
        }
      },
      'circles': {
        dur: 1000,
        circles: 8,
        fn: function fn(dur, index, total) {
          var step = index / total;
          var animationDelay = "".concat(dur * step - dur, "ms");
          var angle = 2 * Math.PI * step;
          return {
            r: 5,
            style: {
              'top': "".concat(9 * Math.sin(angle), "px"),
              'left': "".concat(9 * Math.cos(angle), "px"),
              'animation-delay': animationDelay
            }
          };
        }
      },
      'circular': {
        dur: 1400,
        elmDuration: true,
        circles: 1,
        fn: function fn() {
          return {
            r: 20,
            cx: 48,
            cy: 48,
            fill: 'none',
            viewBox: '24 24 48 48',
            transform: 'translate(0,0)',
            style: {}
          };
        }
      },
      'crescent': {
        dur: 750,
        circles: 1,
        fn: function fn() {
          return {
            r: 26,
            style: {}
          };
        }
      },
      'dots': {
        dur: 750,
        circles: 3,
        fn: function fn(_, index) {
          var animationDelay = -(110 * index) + 'ms';
          return {
            r: 6,
            style: {
              'left': "".concat(9 - 9 * index, "px"),
              'animation-delay': animationDelay
            }
          };
        }
      },
      'lines': {
        dur: 1000,
        lines: 12,
        fn: function fn(dur, index, total) {
          var transform = "rotate(".concat(30 * index + (index < 6 ? 180 : -180), "deg)");
          var animationDelay = "".concat(dur * index / total - dur, "ms");
          return {
            y1: 17,
            y2: 29,
            style: {
              'transform': transform,
              'animation-delay': animationDelay
            }
          };
        }
      },
      'lines-small': {
        dur: 1000,
        lines: 12,
        fn: function fn(dur, index, total) {
          var transform = "rotate(".concat(30 * index + (index < 6 ? 180 : -180), "deg)");
          var animationDelay = "".concat(dur * index / total - dur, "ms");
          return {
            y1: 12,
            y2: 20,
            style: {
              'transform': transform,
              'animation-delay': animationDelay
            }
          };
        }
      }
    };
    var SPINNERS = spinners;
    /***/
  },

  /***/
  "./node_modules/@ionic/core/dist/esm/theme-c2dc54d9.js":
  /*!*************************************************************!*\
    !*** ./node_modules/@ionic/core/dist/esm/theme-c2dc54d9.js ***!
    \*************************************************************/

  /*! exports provided: c, g, h, o */

  /***/
  function node_modulesIonicCoreDistEsmThemeC2dc54d9Js(module, __webpack_exports__, __webpack_require__) {
    "use strict";

    __webpack_require__.r(__webpack_exports__);
    /* harmony export (binding) */


    __webpack_require__.d(__webpack_exports__, "c", function () {
      return createColorClasses;
    });
    /* harmony export (binding) */


    __webpack_require__.d(__webpack_exports__, "g", function () {
      return getClassMap;
    });
    /* harmony export (binding) */


    __webpack_require__.d(__webpack_exports__, "h", function () {
      return hostContext;
    });
    /* harmony export (binding) */


    __webpack_require__.d(__webpack_exports__, "o", function () {
      return openURL;
    });

    var hostContext = function hostContext(selector, el) {
      return el.closest(selector) !== null;
    };
    /**
     * Create the mode and color classes for the component based on the classes passed in
     */


    var createColorClasses = function createColorClasses(color) {
      return typeof color === 'string' && color.length > 0 ? _defineProperty({
        'ion-color': true
      }, "ion-color-".concat(color), true) : undefined;
    };

    var getClassList = function getClassList(classes) {
      if (classes !== undefined) {
        var array = Array.isArray(classes) ? classes : classes.split(' ');
        return array.filter(function (c) {
          return c != null;
        }).map(function (c) {
          return c.trim();
        }).filter(function (c) {
          return c !== '';
        });
      }

      return [];
    };

    var getClassMap = function getClassMap(classes) {
      var map = {};
      getClassList(classes).forEach(function (c) {
        return map[c] = true;
      });
      return map;
    };

    var SCHEME = /^[a-z][a-z0-9+\-.]*:/;

    var openURL = /*#__PURE__*/function () {
      var _ref3 = _asyncToGenerator( /*#__PURE__*/regeneratorRuntime.mark(function _callee2(url, ev, direction) {
        var router;
        return regeneratorRuntime.wrap(function _callee2$(_context2) {
          while (1) {
            switch (_context2.prev = _context2.next) {
              case 0:
                if (!(url != null && url[0] !== '#' && !SCHEME.test(url))) {
                  _context2.next = 5;
                  break;
                }

                router = document.querySelector('ion-router');

                if (!router) {
                  _context2.next = 5;
                  break;
                }

                if (ev != null) {
                  ev.preventDefault();
                }

                return _context2.abrupt("return", router.push(url, direction));

              case 5:
                return _context2.abrupt("return", false);

              case 6:
              case "end":
                return _context2.stop();
            }
          }
        }, _callee2);
      }));

      return function openURL(_x6, _x7, _x8) {
        return _ref3.apply(this, arguments);
      };
    }();
    /***/

  },

  /***/
  "./src/app/dashboard/dashboard-item.model.ts":
  /*!***************************************************!*\
    !*** ./src/app/dashboard/dashboard-item.model.ts ***!
    \***************************************************/

  /*! exports provided: DashboardItem, DashboardItems, PopoverItem, MainDashboardPage */

  /***/
  function srcAppDashboardDashboardItemModelTs(module, __webpack_exports__, __webpack_require__) {
    "use strict";

    __webpack_require__.r(__webpack_exports__);
    /* harmony export (binding) */


    __webpack_require__.d(__webpack_exports__, "DashboardItem", function () {
      return DashboardItem;
    });
    /* harmony export (binding) */


    __webpack_require__.d(__webpack_exports__, "DashboardItems", function () {
      return DashboardItems;
    });
    /* harmony export (binding) */


    __webpack_require__.d(__webpack_exports__, "PopoverItem", function () {
      return PopoverItem;
    });
    /* harmony export (binding) */


    __webpack_require__.d(__webpack_exports__, "MainDashboardPage", function () {
      return MainDashboardPage;
    });

    var DashboardItem = function DashboardItem(id, title, subtitle, outstanding, urgent, pristine, glyph, detail, routerLink) {
      _classCallCheck(this, DashboardItem);

      this.id = id;
      this.title = title;
      this.subtitle = subtitle;
      this.outstanding = outstanding;
      this.urgent = urgent;
      this.pristine = pristine;
      this.glyph = glyph;
      this.detail = detail;
      this.routerLink = routerLink;
    };

    var DashboardItems = function DashboardItems(dashboardItems, header, title) {
      _classCallCheck(this, DashboardItems);

      this.dashboardItems = dashboardItems;
      this.header = header;
      this.title = title;
    };

    var PopoverItem = function PopoverItem(id, name) {
      _classCallCheck(this, PopoverItem);

      this.id = id;
      this.name = name;
    };

    var MainDashboardPage = function MainDashboardPage(dashboardItems, popoverItems) {
      _classCallCheck(this, MainDashboardPage);

      this.dashboardItems = dashboardItems;
      this.popoverItems = popoverItems;
    };
    /***/

  },

  /***/
  "./src/app/notes/note-detail/note-detail.service.ts":
  /*!**********************************************************!*\
    !*** ./src/app/notes/note-detail/note-detail.service.ts ***!
    \**********************************************************/

  /*! exports provided: NoteDetailService */

  /***/
  function srcAppNotesNoteDetailNoteDetailServiceTs(module, __webpack_exports__, __webpack_require__) {
    "use strict";

    __webpack_require__.r(__webpack_exports__);
    /* harmony export (binding) */


    __webpack_require__.d(__webpack_exports__, "NoteDetailService", function () {
      return NoteDetailService;
    });
    /* harmony import */


    var _angular_core__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(
    /*! @angular/core */
    "./node_modules/@angular/core/__ivy_ngcc__/fesm2015/core.js");
    /* harmony import */


    var _angular_common_http__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(
    /*! @angular/common/http */
    "./node_modules/@angular/common/__ivy_ngcc__/fesm2015/http.js");
    /* harmony import */


    var rxjs__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(
    /*! rxjs */
    "./node_modules/rxjs/_esm2015/index.js");
    /* harmony import */


    var rxjs_operators__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(
    /*! rxjs/operators */
    "./node_modules/rxjs/_esm2015/operators/index.js");
    /* harmony import */


    var _auth_auth_service__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(
    /*! ../../auth/auth.service */
    "./src/app/auth/auth.service.ts");
    /* harmony import */


    var _note_model__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(
    /*! ../note.model */
    "./src/app/notes/note.model.ts");

    var NoteDetailService = /*#__PURE__*/function () {
      function NoteDetailService(authService, http) {
        _classCallCheck(this, NoteDetailService);

        this.authService = authService;
        this.http = http; // tslint:disable-next-line: variable-name

        this._noteObject = new rxjs__WEBPACK_IMPORTED_MODULE_2__["BehaviorSubject"](null);
      }

      _createClass(NoteDetailService, [{
        key: "parseData",
        value: function parseData(resData) {
          if (resData.data.note) {
            var note = resData.data.note;
            var noteObject = new _note_model__WEBPACK_IMPORTED_MODULE_5__["NoteObject"](note.number ? note.number : '', new _note_model__WEBPACK_IMPORTED_MODULE_5__["TermName"](note.name.singular, note.name.plural), note.relation ? new _note_model__WEBPACK_IMPORTED_MODULE_5__["NoteRelation"](note.relation.number, new _note_model__WEBPACK_IMPORTED_MODULE_5__["TermName"](note.relation.name.singular, note.relation.name.plural), note.relation.logoUrl) : null, note.address ? note.address.nameCity : '', new _note_model__WEBPACK_IMPORTED_MODULE_5__["NoteContact"](false, note.contactName, note.contactEmail, false), new Date(), note.dateTimeString, new _note_model__WEBPACK_IMPORTED_MODULE_5__["NoteType"](note.type.id, note.type.name.singular, note.type.description), note.subject, note.result, note.text, new _note_model__WEBPACK_IMPORTED_MODULE_5__["NoteStatus"](note.noteStatus ? note.noteStatus.id : null, note.noteStatus ? note.noteStatus.name.singular : null, note.noteStatus ? note.noteStatus.description : ''), new _note_model__WEBPACK_IMPORTED_MODULE_5__["NoteEmployee"](note.owner ? note.owner.id : null, note.owner ? note.owner.name : null, note.owner ? note.owner.email : null, false), new _note_model__WEBPACK_IMPORTED_MODULE_5__["NoteEmployee"](note.receiver ? note.receiver.id : null, note.receiver ? note.receiver.name : null, note.receiver ? note.receiver.email : null, false), note.pristine ? !note.pristine : true, note.ended, new Date(), note.endedDateTimeString, note.completed, new Date(), note.completedDateTimeString, new _note_model__WEBPACK_IMPORTED_MODULE_5__["NoteMailText"](note.emailTextId, ''), Object(_note_model__WEBPACK_IMPORTED_MODULE_5__["itemGlyph"])(note.type.imageId));
            noteObject.setNoteDates(note.dateTime, note.endedDateTime, note.completedDateTime);
            return noteObject;
          } else {
            return null;
          }
        }
      }, {
        key: "fetchNote",
        value: function fetchNote(id) {
          var _this = this;

          return this.authService.user.pipe(Object(rxjs_operators__WEBPACK_IMPORTED_MODULE_3__["take"])(1), Object(rxjs_operators__WEBPACK_IMPORTED_MODULE_3__["switchMap"])(function (user) {
            if (!user) {
              return;
            }

            return _this.http.get(user.url('note', [String(id)], []));
          }), Object(rxjs_operators__WEBPACK_IMPORTED_MODULE_3__["map"])(function (resData) {
            // API-error ?
            if (resData.error) {
              return _this.authService.handleErrorAPI(resData.error);
            } // Data ? 


            return _this.parseData(resData);
          }), Object(rxjs_operators__WEBPACK_IMPORTED_MODULE_3__["tap"])(function (noteObject) {
            if (noteObject) {
              _this._noteObject.next(noteObject);
            }
          }));
        }
      }, {
        key: "updateNote",
        value: function updateNote(noteObject) {
          var _this2 = this;

          return this.authService.user.pipe(Object(rxjs_operators__WEBPACK_IMPORTED_MODULE_3__["take"])(1), Object(rxjs_operators__WEBPACK_IMPORTED_MODULE_3__["switchMap"])(function (user) {
            if (!user) {
              return;
            }

            var postData = {
              "data": {
                "note": {
                  "number": noteObject.id,
                  "dateTime": user.dateTimeString(noteObject.noteDateTime),
                  "type": {
                    "id": noteObject.noteType.id
                  },
                  "noteStatus": {
                    "id": noteObject.status.id
                  },
                  "receiver": {
                    "id": noteObject.receiver.id
                  },
                  "owner": {
                    "id": noteObject.owner.id
                  },
                  "subject": noteObject.subject,
                  "newContact": noteObject.contact.newContact,
                  "contactName": noteObject.contact.name,
                  "contactRelationNumber": noteObject.relation.id,
                  "contactEmail": noteObject.contact.email,
                  "result": noteObject.outcome,
                  "pristine": !noteObject.read,
                  "ended": noteObject.ended,
                  "endedDateTime": user.dateTimeString(noteObject.endDateTime),
                  "completed": noteObject.completed,
                  "completedDateTime": user.dateTimeString(noteObject.completeDateTime),
                  "text": noteObject.text,
                  "emailTextId": noteObject.mailText.id,
                  "relation": {
                    "number": noteObject.relation.id
                  },
                  "address": {
                    "number": noteObject.relation.id,
                    "id": 1,
                    "index": 1
                  },
                  "sendEmail": noteObject.emailTo()
                }
              }
            };
            return _this2.http.post(user.url('note', [noteObject.id], []), postData);
          }), Object(rxjs_operators__WEBPACK_IMPORTED_MODULE_3__["map"])(function (resData) {
            // API-error ?
            if (resData.error) {
              return _this2.authService.handleErrorAPI(resData.error);
            } // Data ? 


            return _this2.parseData(resData);
          }), Object(rxjs_operators__WEBPACK_IMPORTED_MODULE_3__["tap"])(function (noteObject) {
            if (noteObject) {
              _this2._noteObject.next(noteObject);
            }
          }));
        }
      }]);

      return NoteDetailService;
    }();

    NoteDetailService.ɵfac = function NoteDetailService_Factory(t) {
      return new (t || NoteDetailService)(_angular_core__WEBPACK_IMPORTED_MODULE_0__["ɵɵinject"](_auth_auth_service__WEBPACK_IMPORTED_MODULE_4__["AuthService"]), _angular_core__WEBPACK_IMPORTED_MODULE_0__["ɵɵinject"](_angular_common_http__WEBPACK_IMPORTED_MODULE_1__["HttpClient"]));
    };

    NoteDetailService.ɵprov = _angular_core__WEBPACK_IMPORTED_MODULE_0__["ɵɵdefineInjectable"]({
      token: NoteDetailService,
      factory: NoteDetailService.ɵfac,
      providedIn: 'root'
    });
    /*@__PURE__*/

    (function () {
      _angular_core__WEBPACK_IMPORTED_MODULE_0__["ɵsetClassMetadata"](NoteDetailService, [{
        type: _angular_core__WEBPACK_IMPORTED_MODULE_0__["Injectable"],
        args: [{
          providedIn: 'root'
        }]
      }], function () {
        return [{
          type: _auth_auth_service__WEBPACK_IMPORTED_MODULE_4__["AuthService"]
        }, {
          type: _angular_common_http__WEBPACK_IMPORTED_MODULE_1__["HttpClient"]
        }];
      }, null);
    })();
    /***/

  },

  /***/
  "./src/app/sales-invoices/sales-invoices.service.ts":
  /*!**********************************************************!*\
    !*** ./src/app/sales-invoices/sales-invoices.service.ts ***!
    \**********************************************************/

  /*! exports provided: SalesInvoicesService */

  /***/
  function srcAppSalesInvoicesSalesInvoicesServiceTs(module, __webpack_exports__, __webpack_require__) {
    "use strict";

    __webpack_require__.r(__webpack_exports__);
    /* harmony export (binding) */


    __webpack_require__.d(__webpack_exports__, "SalesInvoicesService", function () {
      return SalesInvoicesService;
    });
    /* harmony import */


    var _angular_core__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(
    /*! @angular/core */
    "./node_modules/@angular/core/__ivy_ngcc__/fesm2015/core.js");
    /* harmony import */


    var _angular_common_http__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(
    /*! @angular/common/http */
    "./node_modules/@angular/common/__ivy_ngcc__/fesm2015/http.js");
    /* harmony import */


    var rxjs__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(
    /*! rxjs */
    "./node_modules/rxjs/_esm2015/index.js");
    /* harmony import */


    var rxjs_operators__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(
    /*! rxjs/operators */
    "./node_modules/rxjs/_esm2015/operators/index.js");
    /* harmony import */


    var _auth_auth_service__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(
    /*! ../auth/auth.service */
    "./src/app/auth/auth.service.ts");
    /* harmony import */


    var _sales_invoice_model__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(
    /*! ./sales-invoice.model */
    "./src/app/sales-invoices/sales-invoice.model.ts");

    var SalesInvoicesService = /*#__PURE__*/function () {
      function SalesInvoicesService(authService, http) {
        _classCallCheck(this, SalesInvoicesService);

        this.authService = authService;
        this.http = http; // tslint:disable-next-line: variable-name

        this._salesInvoices = new rxjs__WEBPACK_IMPORTED_MODULE_2__["BehaviorSubject"](null);
      }

      _createClass(SalesInvoicesService, [{
        key: "fetchSalesInvoices",
        value: function fetchSalesInvoices(id, amountType) {
          var _this3 = this;

          return this.authService.user.pipe(Object(rxjs_operators__WEBPACK_IMPORTED_MODULE_3__["take"])(1), Object(rxjs_operators__WEBPACK_IMPORTED_MODULE_3__["switchMap"])(function (user) {
            if (!user) {
              return;
            }

            if (id === 9) {
              return _this3.http.get(user.url('salesInvoices', ['date', 'date'], ['amounts=' + amountType]));
            } else {
              return _this3.http.get(user.url('outstandingSalesInvoices', [], ['period=' + id, 'amounts=credit']));
            }
          }), Object(rxjs_operators__WEBPACK_IMPORTED_MODULE_3__["map"])(function (resData) {
            // API-error ?
            if (resData.error) {
              return _this3.authService.handleErrorAPI(resData.error);
            } // Data ?


            if (resData.data) {
              var salesInvoiceItems = [];

              if (resData.data.receipts) {
                var _iterator = _createForOfIteratorHelper(resData.data.receipts),
                    _step;

                try {
                  for (_iterator.s(); !(_step = _iterator.n()).done;) {
                    var item = _step.value;

                    if (item['sales invoice']) {
                      var data = item['sales invoice'];
                      salesInvoiceItems.unshift(new _sales_invoice_model__WEBPACK_IMPORTED_MODULE_5__["SalesInvoiceItem"](data.number, data.dateString, data.address ? new _sales_invoice_model__WEBPACK_IMPORTED_MODULE_5__["SalesInvoiceAddress"](data.address.nameCity) : null, data.attn ? new _sales_invoice_model__WEBPACK_IMPORTED_MODULE_5__["SalesInvoiceContact"](data.attn.name) : null, data.paymentMethod, data.totalExcludingVat, data.totalIncludingVat, new _sales_invoice_model__WEBPACK_IMPORTED_MODULE_5__["SalesInvoiceTurnover"](data.turnover.age, data.turnover.payments ? new _sales_invoice_model__WEBPACK_IMPORTED_MODULE_5__["SalesInvoicePayments"](data.turnover.payments.total ? data.turnover.payments.total : 0, new _sales_invoice_model__WEBPACK_IMPORTED_MODULE_5__["SalesInvoicePaymentStatus"](data.turnover.payments.status.description, data.turnover.payments.status.index !== 2)) : null)));
                    }
                  }
                } catch (err) {
                  _iterator.e(err);
                } finally {
                  _iterator.f();
                }
              }

              return {
                salesInvoiceItems: salesInvoiceItems,
                name: resData.data.name,
                header: resData.data.header,
                title: resData.data.title
              };
            }
          }), Object(rxjs_operators__WEBPACK_IMPORTED_MODULE_3__["tap"])(function (salesInvoiceItems) {
            if (salesInvoiceItems) {
              _this3._salesInvoices.next(salesInvoiceItems);
            }
          }));
        }
      }]);

      return SalesInvoicesService;
    }();

    SalesInvoicesService.ɵfac = function SalesInvoicesService_Factory(t) {
      return new (t || SalesInvoicesService)(_angular_core__WEBPACK_IMPORTED_MODULE_0__["ɵɵinject"](_auth_auth_service__WEBPACK_IMPORTED_MODULE_4__["AuthService"]), _angular_core__WEBPACK_IMPORTED_MODULE_0__["ɵɵinject"](_angular_common_http__WEBPACK_IMPORTED_MODULE_1__["HttpClient"]));
    };

    SalesInvoicesService.ɵprov = _angular_core__WEBPACK_IMPORTED_MODULE_0__["ɵɵdefineInjectable"]({
      token: SalesInvoicesService,
      factory: SalesInvoicesService.ɵfac,
      providedIn: 'root'
    });
    /*@__PURE__*/

    (function () {
      _angular_core__WEBPACK_IMPORTED_MODULE_0__["ɵsetClassMetadata"](SalesInvoicesService, [{
        type: _angular_core__WEBPACK_IMPORTED_MODULE_0__["Injectable"],
        args: [{
          providedIn: 'root'
        }]
      }], function () {
        return [{
          type: _auth_auth_service__WEBPACK_IMPORTED_MODULE_4__["AuthService"]
        }, {
          type: _angular_common_http__WEBPACK_IMPORTED_MODULE_1__["HttpClient"]
        }];
      }, null);
    })();
    /***/

  },

  /***/
  "./src/app/sales-payments/sales-payment.model.ts":
  /*!*******************************************************!*\
    !*** ./src/app/sales-payments/sales-payment.model.ts ***!
    \*******************************************************/

  /*! exports provided: SalesPaymentItem, SalesPaymentItems, SalesPaymentObject */

  /***/
  function srcAppSalesPaymentsSalesPaymentModelTs(module, __webpack_exports__, __webpack_require__) {
    "use strict";

    __webpack_require__.r(__webpack_exports__);
    /* harmony export (binding) */


    __webpack_require__.d(__webpack_exports__, "SalesPaymentItem", function () {
      return SalesPaymentItem;
    });
    /* harmony export (binding) */


    __webpack_require__.d(__webpack_exports__, "SalesPaymentItems", function () {
      return SalesPaymentItems;
    });
    /* harmony export (binding) */


    __webpack_require__.d(__webpack_exports__, "SalesPaymentObject", function () {
      return SalesPaymentObject;
    });

    var SalesPaymentItem = function SalesPaymentItem(id, methodIndex, paymentIndex, invoiceTerm, namePlace, paymentDateTime, paymentDate, paymentAmount) {
      _classCallCheck(this, SalesPaymentItem);

      this.id = id;
      this.methodIndex = methodIndex;
      this.paymentIndex = paymentIndex;
      this.invoiceTerm = invoiceTerm;
      this.namePlace = namePlace;
      this.paymentDateTime = paymentDateTime;
      this.paymentDate = paymentDate;
      this.paymentAmount = paymentAmount;
    };

    var SalesPaymentItems = function SalesPaymentItems(salesPaymentItems, name, header, title) {
      _classCallCheck(this, SalesPaymentItems);

      this.salesPaymentItems = salesPaymentItems;
      this.name = name;
      this.header = header;
      this.title = title;
    };

    var SalesPaymentObject = /*#__PURE__*/function (_SalesPaymentItem) {
      _inherits(SalesPaymentObject, _SalesPaymentItem);

      var _super = _createSuper(SalesPaymentObject);

      function SalesPaymentObject(termSingular, termPlural, id, methodIndex, paymentIndex, invoiceTerm, namePlace, invoiceDate, invoiceAmount, paymentDateTime, paymentDate, paymentAmount, employee, _final) {
        var _this4;

        _classCallCheck(this, SalesPaymentObject);

        _this4 = _super.call(this, id, methodIndex, paymentIndex, invoiceTerm, namePlace, paymentDateTime, paymentDate, paymentAmount);
        _this4.termSingular = termSingular;
        _this4.termPlural = termPlural;
        _this4.id = id;
        _this4.methodIndex = methodIndex;
        _this4.paymentIndex = paymentIndex;
        _this4.invoiceTerm = invoiceTerm;
        _this4.namePlace = namePlace;
        _this4.invoiceDate = invoiceDate;
        _this4.invoiceAmount = invoiceAmount;
        _this4.paymentDateTime = paymentDateTime;
        _this4.paymentDate = paymentDate;
        _this4.paymentAmount = paymentAmount;
        _this4.employee = employee;
        _this4["final"] = _final;
        return _this4;
      }

      return SalesPaymentObject;
    }(SalesPaymentItem);
    /***/

  }
}]);
//# sourceMappingURL=common-es5.js.map