(window["webpackJsonp"] = window["webpackJsonp"] || []).push([["dashboard-dashboard-module"],{

/***/ "./src/app/dashboard/dashboard-popover/dashboard-popover.component.ts":
/*!****************************************************************************!*\
  !*** ./src/app/dashboard/dashboard-popover/dashboard-popover.component.ts ***!
  \****************************************************************************/
/*! exports provided: DashboardPopoverComponent */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "DashboardPopoverComponent", function() { return DashboardPopoverComponent; });
/* harmony import */ var _angular_core__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @angular/core */ "./node_modules/@angular/core/__ivy_ngcc__/fesm2015/core.js");
/* harmony import */ var _angular_router__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! @angular/router */ "./node_modules/@angular/router/__ivy_ngcc__/fesm2015/router.js");
/* harmony import */ var _ionic_angular__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! @ionic/angular */ "./node_modules/@ionic/angular/__ivy_ngcc__/fesm2015/ionic-angular.js");
/* harmony import */ var _auth_auth_service__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../../auth/auth.service */ "./src/app/auth/auth.service.ts");
/* harmony import */ var _notes_note_detail_note_detail_service__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../../notes/note-detail/note-detail.service */ "./src/app/notes/note-detail/note-detail.service.ts");
/* harmony import */ var _notes_note_edit_note_edit_component__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../../notes/note-edit/note-edit.component */ "./src/app/notes/note-edit/note-edit.component.ts");











class DashboardPopoverComponent {
    constructor(popoverCtrl, modalCtrl, router, authService, noteDetailService) {
        this.popoverCtrl = popoverCtrl;
        this.modalCtrl = modalCtrl;
        this.router = router;
        this.authService = authService;
        this.noteDetailService = noteDetailService;
    }
    ngOnInit() { }
    note() {
        this.noteDetailService.fetchNote('empty').subscribe(noteObject => {
            if (noteObject) {
                this.modalCtrl
                    .create({
                    backdropDismiss: false,
                    component: _notes_note_edit_note_edit_component__WEBPACK_IMPORTED_MODULE_5__["NoteEditComponent"],
                    componentProps: { noteObject: noteObject },
                    cssClass: 'my-custom-modal-css'
                })
                    .then(modalEl => {
                    modalEl.present();
                    return modalEl.onDidDismiss();
                })
                    .then(resultData => {
                    if (resultData.role === 'submit') {
                        resultData.data.noteObject.id = 'empty';
                        this.noteDetailService
                            .updateNote(resultData.data.noteObject)
                            .subscribe(noteObject => {
                            if (noteObject) {
                                this.router.navigate(['/', 'notes', noteObject.id]);
                            }
                        }, error => {
                            return this.authService.handleErrorHttp(error);
                        });
                    }
                });
            }
        }, error => {
            return this.authService.handleErrorHttp(error);
        });
        this.popoverCtrl.dismiss();
    }
}
DashboardPopoverComponent.ɵfac = function DashboardPopoverComponent_Factory(t) { return new (t || DashboardPopoverComponent)(_angular_core__WEBPACK_IMPORTED_MODULE_0__["ɵɵdirectiveInject"](_ionic_angular__WEBPACK_IMPORTED_MODULE_2__["PopoverController"]), _angular_core__WEBPACK_IMPORTED_MODULE_0__["ɵɵdirectiveInject"](_ionic_angular__WEBPACK_IMPORTED_MODULE_2__["ModalController"]), _angular_core__WEBPACK_IMPORTED_MODULE_0__["ɵɵdirectiveInject"](_angular_router__WEBPACK_IMPORTED_MODULE_1__["Router"]), _angular_core__WEBPACK_IMPORTED_MODULE_0__["ɵɵdirectiveInject"](_auth_auth_service__WEBPACK_IMPORTED_MODULE_3__["AuthService"]), _angular_core__WEBPACK_IMPORTED_MODULE_0__["ɵɵdirectiveInject"](_notes_note_detail_note_detail_service__WEBPACK_IMPORTED_MODULE_4__["NoteDetailService"])); };
DashboardPopoverComponent.ɵcmp = _angular_core__WEBPACK_IMPORTED_MODULE_0__["ɵɵdefineComponent"]({ type: DashboardPopoverComponent, selectors: [["app-dashboard-popover"]], inputs: { term: "term" }, decls: 4, vars: 1, consts: [["lines", "none", 3, "click"]], template: function DashboardPopoverComponent_Template(rf, ctx) { if (rf & 1) {
        _angular_core__WEBPACK_IMPORTED_MODULE_0__["ɵɵelementStart"](0, "ion-list");
        _angular_core__WEBPACK_IMPORTED_MODULE_0__["ɵɵelementStart"](1, "ion-item", 0);
        _angular_core__WEBPACK_IMPORTED_MODULE_0__["ɵɵlistener"]("click", function DashboardPopoverComponent_Template_ion_item_click_1_listener() { return ctx.note(); });
        _angular_core__WEBPACK_IMPORTED_MODULE_0__["ɵɵelementStart"](2, "ion-label");
        _angular_core__WEBPACK_IMPORTED_MODULE_0__["ɵɵtext"](3);
        _angular_core__WEBPACK_IMPORTED_MODULE_0__["ɵɵelementEnd"]();
        _angular_core__WEBPACK_IMPORTED_MODULE_0__["ɵɵelementEnd"]();
        _angular_core__WEBPACK_IMPORTED_MODULE_0__["ɵɵelementEnd"]();
    } if (rf & 2) {
        _angular_core__WEBPACK_IMPORTED_MODULE_0__["ɵɵadvance"](3);
        _angular_core__WEBPACK_IMPORTED_MODULE_0__["ɵɵtextInterpolate1"](" ", ctx.term, " ");
    } }, directives: [_ionic_angular__WEBPACK_IMPORTED_MODULE_2__["IonList"], _ionic_angular__WEBPACK_IMPORTED_MODULE_2__["IonItem"], _ionic_angular__WEBPACK_IMPORTED_MODULE_2__["IonLabel"]], styles: ["\n/*# sourceMappingURL=data:application/json;base64,eyJ2ZXJzaW9uIjozLCJzb3VyY2VzIjpbXSwibmFtZXMiOltdLCJtYXBwaW5ncyI6IiIsImZpbGUiOiJzcmMvYXBwL2Rhc2hib2FyZC9kYXNoYm9hcmQtcG9wb3Zlci9kYXNoYm9hcmQtcG9wb3Zlci5jb21wb25lbnQuc2NzcyJ9 */"] });
/*@__PURE__*/ (function () { _angular_core__WEBPACK_IMPORTED_MODULE_0__["ɵsetClassMetadata"](DashboardPopoverComponent, [{
        type: _angular_core__WEBPACK_IMPORTED_MODULE_0__["Component"],
        args: [{
                selector: 'app-dashboard-popover',
                templateUrl: './dashboard-popover.component.html',
                styleUrls: ['./dashboard-popover.component.scss'],
            }]
    }], function () { return [{ type: _ionic_angular__WEBPACK_IMPORTED_MODULE_2__["PopoverController"] }, { type: _ionic_angular__WEBPACK_IMPORTED_MODULE_2__["ModalController"] }, { type: _angular_router__WEBPACK_IMPORTED_MODULE_1__["Router"] }, { type: _auth_auth_service__WEBPACK_IMPORTED_MODULE_3__["AuthService"] }, { type: _notes_note_detail_note_detail_service__WEBPACK_IMPORTED_MODULE_4__["NoteDetailService"] }]; }, { term: [{
            type: _angular_core__WEBPACK_IMPORTED_MODULE_0__["Input"]
        }] }); })();


/***/ }),

/***/ "./src/app/dashboard/dashboard.module.ts":
/*!***********************************************!*\
  !*** ./src/app/dashboard/dashboard.module.ts ***!
  \***********************************************/
/*! exports provided: DashboardPageModule */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "DashboardPageModule", function() { return DashboardPageModule; });
/* harmony import */ var _angular_core__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @angular/core */ "./node_modules/@angular/core/__ivy_ngcc__/fesm2015/core.js");
/* harmony import */ var _angular_common__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! @angular/common */ "./node_modules/@angular/common/__ivy_ngcc__/fesm2015/common.js");
/* harmony import */ var _angular_forms__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! @angular/forms */ "./node_modules/@angular/forms/__ivy_ngcc__/fesm2015/forms.js");
/* harmony import */ var _angular_router__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! @angular/router */ "./node_modules/@angular/router/__ivy_ngcc__/fesm2015/router.js");
/* harmony import */ var _ionic_angular__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! @ionic/angular */ "./node_modules/@ionic/angular/__ivy_ngcc__/fesm2015/ionic-angular.js");
/* harmony import */ var _dashboard_page__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ./dashboard.page */ "./src/app/dashboard/dashboard.page.ts");
/* harmony import */ var _directives_directives_module__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ../directives/directives.module */ "./src/app/directives/directives.module.ts");
/* harmony import */ var _notes_note_edit_note_edit_component__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ../notes/note-edit/note-edit.component */ "./src/app/notes/note-edit/note-edit.component.ts");
/* harmony import */ var _relations_relation_search_relation_search_component__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! ../relations/relation-search/relation-search.component */ "./src/app/relations/relation-search/relation-search.component.ts");
/* harmony import */ var _dashboard_popover_dashboard_popover_component__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(/*! ./dashboard-popover/dashboard-popover.component */ "./src/app/dashboard/dashboard-popover/dashboard-popover.component.ts");












const routes = [
    {
        path: '',
        component: _dashboard_page__WEBPACK_IMPORTED_MODULE_5__["DashboardPage"]
    }
];
class DashboardPageModule {
}
DashboardPageModule.ɵmod = _angular_core__WEBPACK_IMPORTED_MODULE_0__["ɵɵdefineNgModule"]({ type: DashboardPageModule });
DashboardPageModule.ɵinj = _angular_core__WEBPACK_IMPORTED_MODULE_0__["ɵɵdefineInjector"]({ factory: function DashboardPageModule_Factory(t) { return new (t || DashboardPageModule)(); }, imports: [[
            _angular_common__WEBPACK_IMPORTED_MODULE_1__["CommonModule"],
            _angular_forms__WEBPACK_IMPORTED_MODULE_2__["FormsModule"],
            _ionic_angular__WEBPACK_IMPORTED_MODULE_4__["IonicModule"],
            _angular_router__WEBPACK_IMPORTED_MODULE_3__["RouterModule"].forChild(routes),
            _directives_directives_module__WEBPACK_IMPORTED_MODULE_6__["DirectivesModule"]
        ]] });
(function () { (typeof ngJitMode === "undefined" || ngJitMode) && _angular_core__WEBPACK_IMPORTED_MODULE_0__["ɵɵsetNgModuleScope"](DashboardPageModule, { declarations: [_dashboard_page__WEBPACK_IMPORTED_MODULE_5__["DashboardPage"],
        _dashboard_popover_dashboard_popover_component__WEBPACK_IMPORTED_MODULE_9__["DashboardPopoverComponent"]], imports: [_angular_common__WEBPACK_IMPORTED_MODULE_1__["CommonModule"],
        _angular_forms__WEBPACK_IMPORTED_MODULE_2__["FormsModule"],
        _ionic_angular__WEBPACK_IMPORTED_MODULE_4__["IonicModule"], _angular_router__WEBPACK_IMPORTED_MODULE_3__["RouterModule"], _directives_directives_module__WEBPACK_IMPORTED_MODULE_6__["DirectivesModule"]] }); })();
/*@__PURE__*/ (function () { _angular_core__WEBPACK_IMPORTED_MODULE_0__["ɵsetClassMetadata"](DashboardPageModule, [{
        type: _angular_core__WEBPACK_IMPORTED_MODULE_0__["NgModule"],
        args: [{
                imports: [
                    _angular_common__WEBPACK_IMPORTED_MODULE_1__["CommonModule"],
                    _angular_forms__WEBPACK_IMPORTED_MODULE_2__["FormsModule"],
                    _ionic_angular__WEBPACK_IMPORTED_MODULE_4__["IonicModule"],
                    _angular_router__WEBPACK_IMPORTED_MODULE_3__["RouterModule"].forChild(routes),
                    _directives_directives_module__WEBPACK_IMPORTED_MODULE_6__["DirectivesModule"]
                ],
                declarations: [
                    _dashboard_page__WEBPACK_IMPORTED_MODULE_5__["DashboardPage"],
                    _dashboard_popover_dashboard_popover_component__WEBPACK_IMPORTED_MODULE_9__["DashboardPopoverComponent"]
                ],
                entryComponents: [
                    _notes_note_edit_note_edit_component__WEBPACK_IMPORTED_MODULE_7__["NoteEditComponent"],
                    _relations_relation_search_relation_search_component__WEBPACK_IMPORTED_MODULE_8__["RelationSearchComponent"],
                    _dashboard_popover_dashboard_popover_component__WEBPACK_IMPORTED_MODULE_9__["DashboardPopoverComponent"]
                ]
            }]
    }], null, null); })();


/***/ }),

/***/ "./src/app/dashboard/dashboard.page.ts":
/*!*********************************************!*\
  !*** ./src/app/dashboard/dashboard.page.ts ***!
  \*********************************************/
/*! exports provided: DashboardPage */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "DashboardPage", function() { return DashboardPage; });
/* harmony import */ var tslib__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! tslib */ "./node_modules/tslib/tslib.es6.js");
/* harmony import */ var _angular_core__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! @angular/core */ "./node_modules/@angular/core/__ivy_ngcc__/fesm2015/core.js");
/* harmony import */ var _ionic_angular__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! @ionic/angular */ "./node_modules/@ionic/angular/__ivy_ngcc__/fesm2015/ionic-angular.js");
/* harmony import */ var _auth_auth_service__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../auth/auth.service */ "./src/app/auth/auth.service.ts");
/* harmony import */ var _dashboard_service__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ./dashboard.service */ "./src/app/dashboard/dashboard.service.ts");
/* harmony import */ var _dashboard_popover_dashboard_popover_component__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ./dashboard-popover/dashboard-popover.component */ "./src/app/dashboard/dashboard-popover/dashboard-popover.component.ts");
/* harmony import */ var _directives_scroll_vanish_directive__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ../directives/scroll-vanish.directive */ "./src/app/directives/scroll-vanish.directive.ts");
/* harmony import */ var _angular_common__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! @angular/common */ "./node_modules/@angular/common/__ivy_ngcc__/fesm2015/common.js");
/* harmony import */ var _angular_router__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! @angular/router */ "./node_modules/@angular/router/__ivy_ngcc__/fesm2015/router.js");













function DashboardPage_ion_row_14_Template(rf, ctx) { if (rf & 1) {
    _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵɵelementStart"](0, "ion-row");
    _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵɵelementStart"](1, "ion-col", 10);
    _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵɵelement"](2, "ion-spinner", 11);
    _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵɵelementEnd"]();
    _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵɵelementEnd"]();
} }
function DashboardPage_ion_row_15_ion_item_3_h2_4_Template(rf, ctx) { if (rf & 1) {
    _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵɵelementStart"](0, "h2", 18);
    _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵɵelementStart"](1, "b");
    _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵɵtext"](2);
    _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵɵelementEnd"]();
    _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵɵelementEnd"]();
} if (rf & 2) {
    const dashboardItem_r4 = _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵɵnextContext"]().$implicit;
    _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵɵadvance"](2);
    _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵɵtextInterpolate1"](" ", dashboardItem_r4.title, " ");
} }
function DashboardPage_ion_row_15_ion_item_3_h2_5_Template(rf, ctx) { if (rf & 1) {
    _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵɵelementStart"](0, "h2", 18);
    _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵɵtext"](1);
    _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵɵelementEnd"]();
} if (rf & 2) {
    const dashboardItem_r4 = _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵɵnextContext"]().$implicit;
    _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵɵadvance"](1);
    _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵɵtextInterpolate1"](" ", dashboardItem_r4.title, " ");
} }
function DashboardPage_ion_row_15_ion_item_3_ion_badge_8_Template(rf, ctx) { if (rf & 1) {
    _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵɵelementStart"](0, "ion-badge", 20);
    _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵɵtext"](1);
    _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵɵelementEnd"]();
} if (rf & 2) {
    const dashboardItem_r4 = _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵɵnextContext"]().$implicit;
    _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵɵproperty"]("color", dashboardItem_r4.urgent > 0 ? "danger" : "primary");
    _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵɵadvance"](1);
    _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵɵtextInterpolate1"](" ", dashboardItem_r4.outstanding, " ");
} }
function DashboardPage_ion_row_15_ion_item_3_Template(rf, ctx) { if (rf & 1) {
    _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵɵelementStart"](0, "ion-item", 14);
    _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵɵelementStart"](1, "ion-thumbnail", 15);
    _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵɵelement"](2, "ion-img", 16);
    _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵɵelementEnd"]();
    _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵɵelementStart"](3, "ion-label");
    _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵɵtemplate"](4, DashboardPage_ion_row_15_ion_item_3_h2_4_Template, 3, 1, "h2", 17);
    _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵɵtemplate"](5, DashboardPage_ion_row_15_ion_item_3_h2_5_Template, 2, 1, "h2", 17);
    _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵɵelementStart"](6, "p", 18);
    _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵɵtext"](7);
    _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵɵelementEnd"]();
    _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵɵelementEnd"]();
    _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵɵtemplate"](8, DashboardPage_ion_row_15_ion_item_3_ion_badge_8_Template, 2, 2, "ion-badge", 19);
    _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵɵelementEnd"]();
} if (rf & 2) {
    const dashboardItem_r4 = ctx.$implicit;
    _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵɵproperty"]("routerLink", dashboardItem_r4.routerLink)("detail", dashboardItem_r4.detail);
    _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵɵadvance"](2);
    _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵɵproperty"]("src", "../../assets/" + dashboardItem_r4.glyph + ".svg");
    _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵɵadvance"](2);
    _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵɵproperty"]("ngIf", dashboardItem_r4.pristine !== 0);
    _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵɵadvance"](1);
    _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵɵproperty"]("ngIf", dashboardItem_r4.pristine === 0);
    _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵɵadvance"](2);
    _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵɵtextInterpolate"](dashboardItem_r4.subtitle);
    _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵɵadvance"](1);
    _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵɵproperty"]("ngIf", !!dashboardItem_r4.outstanding && dashboardItem_r4.outstanding > 0);
} }
function DashboardPage_ion_row_15_Template(rf, ctx) { if (rf & 1) {
    _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵɵelementStart"](0, "ion-row");
    _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵɵelementStart"](1, "ion-col", 12);
    _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵɵelementStart"](2, "ion-list");
    _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵɵtemplate"](3, DashboardPage_ion_row_15_ion_item_3_Template, 9, 7, "ion-item", 13);
    _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵɵelementEnd"]();
    _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵɵelementEnd"]();
    _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵɵelementEnd"]();
} if (rf & 2) {
    const ctx_r2 = _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵɵnextContext"]();
    _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵɵadvance"](3);
    _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵɵproperty"]("ngForOf", ctx_r2.loadedMainDashboardPage.dashboardItems);
} }
class DashboardPage {
    constructor(authService, dashboardService, popoverCtrl) {
        this.authService = authService;
        this.dashboardService = dashboardService;
        this.popoverCtrl = popoverCtrl;
        this.isLoading = false;
    }
    ngOnInit() { }
    ionViewWillEnter() {
        this.fetchData(null);
    }
    onRefresh(event) {
        this.fetchData(event);
    }
    fetchData(event) {
        this.isLoading = !event;
        this.dashboardService.fetchMainDashboardPage().subscribe(mainDashboardPage => {
            this.isLoading = false;
            if (mainDashboardPage) {
                this.loadedMainDashboardPage = mainDashboardPage;
            }
            else {
                this.loadedMainDashboardPage = null;
            }
            if (event) {
                event.target.complete();
            }
        }, error => {
            return this.authService.handleErrorHttp(error);
        });
    }
    presentPopover(event) {
        return Object(tslib__WEBPACK_IMPORTED_MODULE_0__["__awaiter"])(this, void 0, void 0, function* () {
            const popover = yield this.popoverCtrl.create({
                component: _dashboard_popover_dashboard_popover_component__WEBPACK_IMPORTED_MODULE_5__["DashboardPopoverComponent"],
                event: event,
                componentProps: { term: this.loadedMainDashboardPage.popoverItems[0].name },
                cssClass: 'popover_class'
            });
            return yield popover.present();
        });
    }
}
DashboardPage.ɵfac = function DashboardPage_Factory(t) { return new (t || DashboardPage)(_angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵɵdirectiveInject"](_auth_auth_service__WEBPACK_IMPORTED_MODULE_3__["AuthService"]), _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵɵdirectiveInject"](_dashboard_service__WEBPACK_IMPORTED_MODULE_4__["DashboardService"]), _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵɵdirectiveInject"](_ionic_angular__WEBPACK_IMPORTED_MODULE_2__["PopoverController"])); };
DashboardPage.ɵcmp = _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵɵdefineComponent"]({ type: DashboardPage, selectors: [["app-dashboard"]], decls: 16, vars: 3, consts: [["color", "primary", 3, "appScrollVanish"], ["slot", "start"], ["content", "mainMenu"], ["slot", "primary"], [3, "click"], ["name", "ellipsis-vertical", "slot", "icon-only"], ["scrollEvents", "true"], ["scrollArea", ""], ["slot", "fixed", 3, "ionRefresh"], [4, "ngIf"], ["size", "12", "size-sm", "8", "offset-sm", "2", 1, "ion-text-center"], ["color", "primary"], ["size", "12", "size-sm", "8", "offset-sm", "2"], [3, "routerLink", "detail", 4, "ngFor", "ngForOf"], [3, "routerLink", "detail"], ["slot", "start", 1, "dashboard-thumbnail"], [3, "src"], ["class", "ion-text-wrap", 4, "ngIf"], [1, "ion-text-wrap"], ["slot", "end", 3, "color", 4, "ngIf"], ["slot", "end", 3, "color"]], template: function DashboardPage_Template(rf, ctx) { if (rf & 1) {
        _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵɵelementStart"](0, "ion-header");
        _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵɵelementStart"](1, "ion-toolbar", 0);
        _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵɵelementStart"](2, "ion-buttons", 1);
        _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵɵelement"](3, "ion-menu-button", 2);
        _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵɵelementEnd"]();
        _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵɵelementStart"](4, "ion-title");
        _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵɵtext"](5, "Dashboard");
        _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵɵelementEnd"]();
        _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵɵelementStart"](6, "ion-buttons", 3);
        _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵɵelementStart"](7, "ion-button", 4);
        _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵɵlistener"]("click", function DashboardPage_Template_ion_button_click_7_listener($event) { return ctx.presentPopover($event); });
        _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵɵelement"](8, "ion-icon", 5);
        _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵɵelementEnd"]();
        _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵɵelementEnd"]();
        _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵɵelementEnd"]();
        _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵɵelementEnd"]();
        _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵɵelementStart"](9, "ion-content", 6, 7);
        _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵɵelementStart"](11, "ion-refresher", 8);
        _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵɵlistener"]("ionRefresh", function DashboardPage_Template_ion_refresher_ionRefresh_11_listener($event) { return ctx.onRefresh($event); });
        _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵɵelement"](12, "ion-refresher-content");
        _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵɵelementEnd"]();
        _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵɵelementStart"](13, "ion-grid");
        _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵɵtemplate"](14, DashboardPage_ion_row_14_Template, 3, 0, "ion-row", 9);
        _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵɵtemplate"](15, DashboardPage_ion_row_15_Template, 4, 1, "ion-row", 9);
        _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵɵelementEnd"]();
        _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵɵelementEnd"]();
    } if (rf & 2) {
        const _r0 = _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵɵreference"](10);
        _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵɵadvance"](1);
        _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵɵproperty"]("appScrollVanish", _r0);
        _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵɵadvance"](13);
        _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵɵproperty"]("ngIf", ctx.isLoading);
        _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵɵadvance"](1);
        _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵɵproperty"]("ngIf", !ctx.isLoading && ctx.loadedMainDashboardPage);
    } }, directives: [_ionic_angular__WEBPACK_IMPORTED_MODULE_2__["IonHeader"], _ionic_angular__WEBPACK_IMPORTED_MODULE_2__["IonToolbar"], _directives_scroll_vanish_directive__WEBPACK_IMPORTED_MODULE_6__["ScrollVanishDirective"], _ionic_angular__WEBPACK_IMPORTED_MODULE_2__["IonButtons"], _ionic_angular__WEBPACK_IMPORTED_MODULE_2__["IonMenuButton"], _ionic_angular__WEBPACK_IMPORTED_MODULE_2__["IonTitle"], _ionic_angular__WEBPACK_IMPORTED_MODULE_2__["IonButton"], _ionic_angular__WEBPACK_IMPORTED_MODULE_2__["IonIcon"], _ionic_angular__WEBPACK_IMPORTED_MODULE_2__["IonContent"], _ionic_angular__WEBPACK_IMPORTED_MODULE_2__["IonRefresher"], _ionic_angular__WEBPACK_IMPORTED_MODULE_2__["IonRefresherContent"], _ionic_angular__WEBPACK_IMPORTED_MODULE_2__["IonGrid"], _angular_common__WEBPACK_IMPORTED_MODULE_7__["NgIf"], _ionic_angular__WEBPACK_IMPORTED_MODULE_2__["IonRow"], _ionic_angular__WEBPACK_IMPORTED_MODULE_2__["IonCol"], _ionic_angular__WEBPACK_IMPORTED_MODULE_2__["IonSpinner"], _ionic_angular__WEBPACK_IMPORTED_MODULE_2__["IonList"], _angular_common__WEBPACK_IMPORTED_MODULE_7__["NgForOf"], _ionic_angular__WEBPACK_IMPORTED_MODULE_2__["IonItem"], _ionic_angular__WEBPACK_IMPORTED_MODULE_2__["RouterLinkDelegate"], _angular_router__WEBPACK_IMPORTED_MODULE_8__["RouterLink"], _ionic_angular__WEBPACK_IMPORTED_MODULE_2__["IonThumbnail"], _ionic_angular__WEBPACK_IMPORTED_MODULE_2__["IonImg"], _ionic_angular__WEBPACK_IMPORTED_MODULE_2__["IonLabel"], _ionic_angular__WEBPACK_IMPORTED_MODULE_2__["IonBadge"]], styles: ["\n/*# sourceMappingURL=data:application/json;base64,eyJ2ZXJzaW9uIjozLCJzb3VyY2VzIjpbXSwibmFtZXMiOltdLCJtYXBwaW5ncyI6IiIsImZpbGUiOiJzcmMvYXBwL2Rhc2hib2FyZC9kYXNoYm9hcmQucGFnZS5zY3NzIn0= */"] });
/*@__PURE__*/ (function () { _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵsetClassMetadata"](DashboardPage, [{
        type: _angular_core__WEBPACK_IMPORTED_MODULE_1__["Component"],
        args: [{
                selector: 'app-dashboard',
                templateUrl: './dashboard.page.html',
                styleUrls: ['./dashboard.page.scss'],
            }]
    }], function () { return [{ type: _auth_auth_service__WEBPACK_IMPORTED_MODULE_3__["AuthService"] }, { type: _dashboard_service__WEBPACK_IMPORTED_MODULE_4__["DashboardService"] }, { type: _ionic_angular__WEBPACK_IMPORTED_MODULE_2__["PopoverController"] }]; }, null); })();


/***/ }),

/***/ "./src/app/dashboard/dashboard.service.ts":
/*!************************************************!*\
  !*** ./src/app/dashboard/dashboard.service.ts ***!
  \************************************************/
/*! exports provided: DashboardService */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "DashboardService", function() { return DashboardService; });
/* harmony import */ var _angular_core__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @angular/core */ "./node_modules/@angular/core/__ivy_ngcc__/fesm2015/core.js");
/* harmony import */ var _angular_common_http__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! @angular/common/http */ "./node_modules/@angular/common/__ivy_ngcc__/fesm2015/http.js");
/* harmony import */ var rxjs__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! rxjs */ "./node_modules/rxjs/_esm2015/index.js");
/* harmony import */ var rxjs_operators__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! rxjs/operators */ "./node_modules/rxjs/_esm2015/operators/index.js");
/* harmony import */ var _shared_constants__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../shared/constants */ "./src/app/shared/constants.ts");
/* harmony import */ var _dashboard_item_model__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ./dashboard-item.model */ "./src/app/dashboard/dashboard-item.model.ts");
/* harmony import */ var _auth_auth_service__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ../auth/auth.service */ "./src/app/auth/auth.service.ts");










class DashboardService {
    constructor(authService, http) {
        this.authService = authService;
        this.http = http;
        // tslint:disable-next-line: variable-name
        this._mainDashboardPage = new rxjs__WEBPACK_IMPORTED_MODULE_2__["BehaviorSubject"](null);
    }
    get mainDashboardPage() {
        return this._mainDashboardPage.asObservable();
    }
    itemGlyph(id) {
        switch (id) {
            case _shared_constants__WEBPACK_IMPORTED_MODULE_4__["DASHBOARD_OPENSTAANDE_NOTITIES"]:
                return 'notepad-text';
            case _shared_constants__WEBPACK_IMPORTED_MODULE_4__["DASHBOARD_ONVOLTOOIDE_TAKENLIJST"]:
                return 'task';
            case _shared_constants__WEBPACK_IMPORTED_MODULE_4__["DASHBOARD_OPENSTAANDE_VERKOOPFAKTUREN"]:
                return 'invoice';
            case _shared_constants__WEBPACK_IMPORTED_MODULE_4__["DASHBOARD_OPENSTAANDE_INKOOPFAKTUREN"]:
                return 'invoice-supplier';
            case _shared_constants__WEBPACK_IMPORTED_MODULE_4__["DASHBOARD_PERIODE_OMZET"]:
                return 'calendar-selection-all-stats';
            case _shared_constants__WEBPACK_IMPORTED_MODULE_4__["DASHBOARD_ONVOLTOOIDE_TAKEN"]:
                return 'task';
            case _shared_constants__WEBPACK_IMPORTED_MODULE_4__["DASHBOARD_VANDAAG"]:
                return 'calendar';
            case _shared_constants__WEBPACK_IMPORTED_MODULE_4__["DASHBOARD_OFFERTES_ACTUEEL_STATUS"]:
                return 'document-quote-euro-layers';
            case _shared_constants__WEBPACK_IMPORTED_MODULE_4__["DASHBOARD_MACHINES_ACTUEEL"]:
                return 'method';
            case _shared_constants__WEBPACK_IMPORTED_MODULE_4__["DASHBOARD_ONVOLTOOIDE_ACTIES_SOORT"]:
                return 'execute-layers';
            case _shared_constants__WEBPACK_IMPORTED_MODULE_4__["DASHBOARD_ONVOLTOOIDE_ACTIES_MEDEWERKER"]:
                return 'execute-user';
            case _shared_constants__WEBPACK_IMPORTED_MODULE_4__["DASHBOARD_MAAND_OMZET"]:
                return 'calendar-selection-day-stats';
            case _shared_constants__WEBPACK_IMPORTED_MODULE_4__["DASHBOARD_VERKOOPKANSEN_ACTUEEL"]:
                return 'forum';
            case _shared_constants__WEBPACK_IMPORTED_MODULE_4__["DASHBOARD_OPENSTAANDE_MAILS"]:
                return 'mail-back';
            case _shared_constants__WEBPACK_IMPORTED_MODULE_4__["DASHBOARD_ORDERBEVESTIGINGEN_ACTUEEL"]:
                return 'order';
            case _shared_constants__WEBPACK_IMPORTED_MODULE_4__["DASHBOARD_REPARATIES_ACTUEEL"]:
                return 'tool-wrench-layers';
            case _shared_constants__WEBPACK_IMPORTED_MODULE_4__["DASHBOARD_REPARATIES_ACTUEEL_MONTEUR"]:
                return 'tool-wrench-user';
            case _shared_constants__WEBPACK_IMPORTED_MODULE_4__["DASHBOARD_OFFERTES_ACTUEEL_MEDEWERKER"]:
                return 'document-quote-euro-user';
            case _shared_constants__WEBPACK_IMPORTED_MODULE_4__["DASHBOARD_ASSEMBLAGES_ACTUEEL"]:
                return 'material-assembling';
            case _shared_constants__WEBPACK_IMPORTED_MODULE_4__["DASHBOARD_OPENSTAANDE_NOTITIES_STATUS"]:
                return 'notepad-text';
            case _shared_constants__WEBPACK_IMPORTED_MODULE_4__["DASHBOARD_VERKOOPKANSEN_ACTUEEL_STATUS"]:
                return 'forum';
            case _shared_constants__WEBPACK_IMPORTED_MODULE_4__["DASHBOARD_VERZENDBONNEN_ACTUEEL"]:
                return 'document-delivery-receipt-signed';
            case _shared_constants__WEBPACK_IMPORTED_MODULE_4__["DASHBOARD_OPENSTAANDE_NOTITIES_MEDEWERKER"]:
                return 'notepad-text';
            case _shared_constants__WEBPACK_IMPORTED_MODULE_4__["DASHBOARD_OPENSTAANDE_KLANTBESTELLINGEN"]:
                return 'order-internet';
            default:
                return 'calendar';
        }
    }
    itemDetail(id) {
        switch (id) {
            case _shared_constants__WEBPACK_IMPORTED_MODULE_4__["DASHBOARD_OPENSTAANDE_NOTITIES"]:
                return true;
            case _shared_constants__WEBPACK_IMPORTED_MODULE_4__["DASHBOARD_OPENSTAANDE_VERKOOPFAKTUREN"]:
                return true;
            case _shared_constants__WEBPACK_IMPORTED_MODULE_4__["DASHBOARD_OPENSTAANDE_INKOOPFAKTUREN"]:
                return true;
            case _shared_constants__WEBPACK_IMPORTED_MODULE_4__["DASHBOARD_PERIODE_OMZET"]:
                return true;
            case _shared_constants__WEBPACK_IMPORTED_MODULE_4__["DASHBOARD_VANDAAG"]:
                return true;
            case _shared_constants__WEBPACK_IMPORTED_MODULE_4__["DASHBOARD_OFFERTES_ACTUEEL_STATUS"]:
                return true;
            case _shared_constants__WEBPACK_IMPORTED_MODULE_4__["DASHBOARD_MAAND_OMZET"]:
                return true;
            case _shared_constants__WEBPACK_IMPORTED_MODULE_4__["DASHBOARD_VERKOOPKANSEN_ACTUEEL"]:
                return true;
            case _shared_constants__WEBPACK_IMPORTED_MODULE_4__["DASHBOARD_OPENSTAANDE_MAILS"]:
                return true;
            case _shared_constants__WEBPACK_IMPORTED_MODULE_4__["DASHBOARD_ORDERBEVESTIGINGEN_ACTUEEL"]:
                return true;
            case _shared_constants__WEBPACK_IMPORTED_MODULE_4__["DASHBOARD_REPARATIES_ACTUEEL"]:
                return true;
            case _shared_constants__WEBPACK_IMPORTED_MODULE_4__["DASHBOARD_REPARATIES_ACTUEEL_MONTEUR"]:
                return true;
            case _shared_constants__WEBPACK_IMPORTED_MODULE_4__["DASHBOARD_OFFERTES_ACTUEEL_MEDEWERKER"]:
                return true;
            case _shared_constants__WEBPACK_IMPORTED_MODULE_4__["DASHBOARD_OPENSTAANDE_KLANTBESTELLINGEN"]:
                return true;
            default:
                return false;
        }
    }
    itemRouterLink(id) {
        switch (id) {
            case _shared_constants__WEBPACK_IMPORTED_MODULE_4__["DASHBOARD_OPENSTAANDE_NOTITIES"]:
                return '/dashboard/outstanding-notes';
            case _shared_constants__WEBPACK_IMPORTED_MODULE_4__["DASHBOARD_OPENSTAANDE_VERKOOPFAKTUREN"]:
                return '/dashboard/outstanding-sales-invoices';
            case _shared_constants__WEBPACK_IMPORTED_MODULE_4__["DASHBOARD_OPENSTAANDE_INKOOPFAKTUREN"]:
                return '/dashboard/outstanding-purchase-invoices';
            case _shared_constants__WEBPACK_IMPORTED_MODULE_4__["DASHBOARD_PERIODE_OMZET"]:
                return '/dashboard/annual-sales';
            case _shared_constants__WEBPACK_IMPORTED_MODULE_4__["DASHBOARD_VANDAAG"]:
                return '/dashboard/day';
            case _shared_constants__WEBPACK_IMPORTED_MODULE_4__["DASHBOARD_OFFERTES_ACTUEEL_STATUS"]:
                return '/dashboard/outstanding-quotations-status';
            case _shared_constants__WEBPACK_IMPORTED_MODULE_4__["DASHBOARD_MAAND_OMZET"]:
                return '/dashboard/monthly-sales';
            case _shared_constants__WEBPACK_IMPORTED_MODULE_4__["DASHBOARD_VERKOOPKANSEN_ACTUEEL"]:
                return '/dashboard/outstanding-sales-opportunities';
            case _shared_constants__WEBPACK_IMPORTED_MODULE_4__["DASHBOARD_OPENSTAANDE_MAILS"]:
                return '/dashboard/outstanding-mails';
            case _shared_constants__WEBPACK_IMPORTED_MODULE_4__["DASHBOARD_ORDERBEVESTIGINGEN_ACTUEEL"]:
                return '/dashboard/outstanding-customer-orders';
            case _shared_constants__WEBPACK_IMPORTED_MODULE_4__["DASHBOARD_REPARATIES_ACTUEEL"]:
                return '/dashboard/active-work-orders';
            case _shared_constants__WEBPACK_IMPORTED_MODULE_4__["DASHBOARD_REPARATIES_ACTUEEL_MONTEUR"]:
                return '/dashboard/outstanding-work-orders';
            case _shared_constants__WEBPACK_IMPORTED_MODULE_4__["DASHBOARD_OFFERTES_ACTUEEL_MEDEWERKER"]:
                return '/dashboard/outstanding-quotations-employee';
            case _shared_constants__WEBPACK_IMPORTED_MODULE_4__["DASHBOARD_OPENSTAANDE_KLANTBESTELLINGEN"]:
                return '/dashboard/outstanding-preliminary-customer-orders';
            default:
                return '';
        }
    }
    fetchMainDashboardPage() {
        return this.authService.user
            .pipe(Object(rxjs_operators__WEBPACK_IMPORTED_MODULE_3__["take"])(1), Object(rxjs_operators__WEBPACK_IMPORTED_MODULE_3__["switchMap"])(user => {
            if (!user) {
                return;
            }
            return this.http.get(user.url('dashboard', ['id', 'date'], []));
        }), Object(rxjs_operators__WEBPACK_IMPORTED_MODULE_3__["map"])(resData => {
            // API-error ?
            if (resData.error) {
                return this.authService.handleErrorAPI(resData.error);
            }
            // Data ?
            if (resData.data) {
                const dashboardItems = [];
                if (resData.data.dashboard.dashboardPages[0].dashboardPage.dashboardPageItems) {
                    for (const item of resData.data.dashboard.dashboardPages[0].dashboardPage.dashboardPageItems) {
                        dashboardItems.push(new _dashboard_item_model__WEBPACK_IMPORTED_MODULE_5__["DashboardItem"](item.dashboardPageItem.id, item.dashboardPageItem.title, item.dashboardPageItem.subtitle, item.dashboardPageItem.outstanding, item.dashboardPageItem.urgent, item.dashboardPageItem.pristine ? item.dashboardPageItem.pristine : 0, this.itemGlyph(item.dashboardPageItem.id), this.itemDetail(item.dashboardPageItem.id), this.itemRouterLink(item.dashboardPageItem.id)));
                    }
                }
                const popoverItems = [];
                if (resData.data.dashboard.dashboardPages[0].dashboardPage.popoverItems) {
                    for (const item of resData.data.dashboard.dashboardPages[0].dashboardPage.popoverItems) {
                        popoverItems.push(new _dashboard_item_model__WEBPACK_IMPORTED_MODULE_5__["PopoverItem"](item.popoverItem.id, item.popoverItem.name));
                    }
                }
                return new _dashboard_item_model__WEBPACK_IMPORTED_MODULE_5__["MainDashboardPage"](dashboardItems, popoverItems);
            }
        }), Object(rxjs_operators__WEBPACK_IMPORTED_MODULE_3__["tap"])(mainDashboardPage => {
            if (mainDashboardPage) {
                this._mainDashboardPage.next(mainDashboardPage);
            }
        }));
    }
}
DashboardService.ɵfac = function DashboardService_Factory(t) { return new (t || DashboardService)(_angular_core__WEBPACK_IMPORTED_MODULE_0__["ɵɵinject"](_auth_auth_service__WEBPACK_IMPORTED_MODULE_6__["AuthService"]), _angular_core__WEBPACK_IMPORTED_MODULE_0__["ɵɵinject"](_angular_common_http__WEBPACK_IMPORTED_MODULE_1__["HttpClient"])); };
DashboardService.ɵprov = _angular_core__WEBPACK_IMPORTED_MODULE_0__["ɵɵdefineInjectable"]({ token: DashboardService, factory: DashboardService.ɵfac, providedIn: 'root' });
/*@__PURE__*/ (function () { _angular_core__WEBPACK_IMPORTED_MODULE_0__["ɵsetClassMetadata"](DashboardService, [{
        type: _angular_core__WEBPACK_IMPORTED_MODULE_0__["Injectable"],
        args: [{
                providedIn: 'root'
            }]
    }], function () { return [{ type: _auth_auth_service__WEBPACK_IMPORTED_MODULE_6__["AuthService"] }, { type: _angular_common_http__WEBPACK_IMPORTED_MODULE_1__["HttpClient"] }]; }, null); })();


/***/ })

}]);
//# sourceMappingURL=dashboard-dashboard-module-es2015.js.map